cClaude.rocks ☕ Le blog

[Nouvelles technologies, sciences et coups de gueule…]

Menu

La version 7.3.2 de la suite bureautique LibreOffice vient de sortir. Si vous utiliser la version disponible dans les dépôts de Linux Mint (et probablement de tout Linux dérivé d’Ubuntu) c’est la version 6.4 qui vous est proposé.

Attention les URLs données en exemple ci-dessous correspondent à une machine à base de processeurs x86 64 bits (Intel ou AMD), ces URLs ne sont pas valides pour une machine à base de processeur ARM (même 64 bits).


Si vous lisez cet article plusieurs mois après sa sortie, vous devrez probablement mettre à jour le numéro de version défini dans la variable __lo_version__ du script ci-dessous.

Procédure

Je vous conseille de commencer par mettre à jour votre système, avant l’installation de LibreOffice, et manière très facultative de désinstaller l’ancienne version.

  • Télécharger les fichiers contenant l’installation de :
    • LibreOffice,
    • le pack correspondant à votre langue,
    • et l’aide intégrée à votre langue ;
  • Extraire les fichiers tar.gz ;
  • Supprimer la version précédente ;
  • Installer les fichiers .deb ;
  • Nettoyage final.

Script d’installation

On trouve plein de vidéos sur le net qui montre cette procédure, mais c’est moins pratique qu’un script qui fait le travail pour vous.

Voici donc une première version d’un script permettant de faire l’installation initiale ou la mise à jour de LibreOffice.

  • libreoffice-install.sh
    #!/bin/bash
    #
    # Install libre office
    #
    set -u
    set -o pipefail
    
    function libreoffice_download {
      if [ "$( arch )" != 'x86_64' ] ; then
        echo "Mauvaise machine…"
        arch
        return 1
      else
        mkdir "${__download_dir__}/LibreOffice_${__lo_version__}"
        pushd "${__download_dir__}/LibreOffice_${__lo_version__}" >/dev/null || return $?
    
        wget "https://download.documentfoundation.org/libreoffice/stable/${__lo_version__}/deb/x86_64/LibreOffice_${__lo_version__}_Linux_x86-64_deb.tar.gz" || return $?
        wget "https://download.documentfoundation.org/libreoffice/stable/${__lo_version__}/deb/x86_64/LibreOffice_${__lo_version__}_Linux_x86-64_deb_langpack_${__lo_lang__}.tar.gz" || return $?
        wget "https://download.documentfoundation.org/libreoffice/stable/${__lo_version__}/deb/x86_64/LibreOffice_${__lo_version__}_Linux_x86-64_deb_helppack_${__lo_lang__}.tar.gz" || return $?
    
        popd  >/dev/null || return $?
      fi
    }
    
    function libreoffice_extract {
      tar -zxf "${__download_dir__}//LibreOffice_${__lo_version__}/LibreOffice_${__lo_version__}_Linux_x86-64_deb.tar.gz" --directory "${__download_dir__}/LibreOffice_${__lo_version__}/" || return $?
      tar -zxf "${__download_dir__}/LibreOffice_${__lo_version__}/LibreOffice_${__lo_version__}_Linux_x86-64_deb_langpack_${__lo_lang__}.tar.gz" --directory "${__download_dir__}/LibreOffice_${__lo_version__}/" || return $?
      tar -zxf "${__download_dir__}/LibreOffice_${__lo_version__}/LibreOffice_${__lo_version__}_Linux_x86-64_deb_helppack_${__lo_lang__}.tar.gz" --directory "${__download_dir__}/LibreOffice_${__lo_version__}/" || return $?
    
      ls -la --color "${__download_dir__}/LibreOffice_${__lo_version__}/"
    }
    
    function libreoffice_uninstall {
      sudo apt update || return $?
    
      if [ "${__do_cleanup__}" = 'true' ] ; then
        sudo apt upgrade -y || return $?
        sudo apt autoremove -y || return $?
      fi
      sudo apt purge libreoffice* -y || return $?
    }
    
    function libreoffice_install {
      pushd "${__download_dir__}/LibreOffice_${__lo_version__}/LibreOffice_${__lo_version__}"*'_Linux_x86-64_deb/DEBS' >/dev/null || return $?
      sudo dpkg -i ./*.deb || return $?
      popd  >/dev/null || return $?
    
      pushd "${__download_dir__}/LibreOffice_${__lo_version__}/LibreOffice_${__lo_version__}"*"_Linux_x86-64_deb_langpack_${__lo_lang__}/DEBS" >/dev/null || return $?
      sudo dpkg -i ./*.deb || return $?
      popd  >/dev/null || return $?
    
      pushd "${__download_dir__}/LibreOffice_${__lo_version__}/LibreOffice_${__lo_version__}"*"_Linux_x86-64_deb_helppack_${__lo_lang__}/DEBS" >/dev/null || return $?
      sudo dpkg -i ./*.deb || return $?
      popd  >/dev/null || return $?
     }
    
    function main {
      local -r __download_dir__=~/Downloads
      local -r __lo_version__=7.3.2
      local -r __lo_lang__=fr
      local -r __do_cleanup__='true'
    
      libreoffice_download || return $?
      libreoffice_extract || return $?
      libreoffice_uninstall || return $?
      libreoffice_install || return $?
    }
    
    main "$@" || exit $?
    


    Le dépôt

    Comme vous le constaté ce script assez basique à ce jour et il a vocation à évoluer voici pourquoi je vous propose ce dépôt ou les prochaines versions seront publiées.



    Références

    ᦿ


ℹ 2006 - 2022 | 🏠 Accueil du domaine | 🏡 Accueil du blog